## org.apache.lucene.analysis.hunspell
Class HunspellWord

    java.lang.Object
      org.apache.lucene.analysis.hunspell.HunspellWord

    public class HunspellWord

extends Object

A dictionary (.dic) entry with its associated flags.

Constructor Summary
`HunspellWord()` Creates a new HunspellWord with no associated flags
`HunspellWord(char[] flags)` Constructs a new HunspellWord with the given flags

Method Summary
`char[]` `getFlags()` Returns the flags associated with the word
`boolean` `hasFlag(char flag)` Checks whether the word has the given flag associated with it

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HunspellWord

    public HunspellWord()

  Creates a new HunspellWord with no associated flags

### HunspellWord

    public HunspellWord(char[] flags)

  Constructs a new HunspellWord with the given flags

  Parameters:
    `flags` - Flags to associate with the word

Method Detail

### hasFlag

    public boolean hasFlag(char flag)

  Checks whether the word has the given flag associated with it

  Parameters:
    `flag` - Flag to check whether it is associated with the word
  Returns:
    `true` if the flag is associated, `false` otherwise

### getFlags

    public char[] getFlags()

  Returns the flags associated with the word

  Returns:
    Flags asssociated with the word